using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;
using System.Text;

namespace WCS.Entity.Protocol.Station
{
    [Description("扫码")]
    public interface IStation23:IProtocol
    {
        [Description("已读数量")]
        short ReadQty { get; set; }
        [Description("任务号")]
        [MaxLength(6)]
        int[] TaskArray { get; set; }
    }

   
    [DataContract]
    public class WCS_Station23 : IStation23
    {
        [DataMember(Order =0)]
        public short ReadQty { get; set; }

        [DataMember(Order = 1)]
        public int[] TaskArray { get; set; }
    }
}
